import * as pulumi from "@pulumi/pulumi";
export declare class ApplicationSaml extends pulumi.CustomResource {
    /**
     * Get an existing ApplicationSaml resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: ApplicationSamlState, opts?: pulumi.CustomResourceOptions): ApplicationSaml;
    /**
     * Returns true if the given object is an instance of ApplicationSaml.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ApplicationSaml;
    /**
     * Metadata as XML file
     */
    readonly metadataXml: pulumi.Output<string>;
    /**
     * Name of the application
     */
    readonly name: pulumi.Output<string>;
    /**
     * ID of the organization
     */
    readonly orgId: pulumi.Output<string | undefined>;
    /**
     * ID of the project
     */
    readonly projectId: pulumi.Output<string>;
    /**
     * Create a ApplicationSaml resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ApplicationSamlArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering ApplicationSaml resources.
 */
export interface ApplicationSamlState {
    /**
     * Metadata as XML file
     */
    metadataXml?: pulumi.Input<string>;
    /**
     * Name of the application
     */
    name?: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * ID of the project
     */
    projectId?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a ApplicationSaml resource.
 */
export interface ApplicationSamlArgs {
    /**
     * Metadata as XML file
     */
    metadataXml: pulumi.Input<string>;
    /**
     * Name of the application
     */
    name?: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * ID of the project
     */
    projectId: pulumi.Input<string>;
}
