import * as pulumi from "@pulumi/pulumi";
export declare class DefaultLockoutPolicy extends pulumi.CustomResource {
    /**
     * Get an existing DefaultLockoutPolicy resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: DefaultLockoutPolicyState, opts?: pulumi.CustomResourceOptions): DefaultLockoutPolicy;
    /**
     * Returns true if the given object is an instance of DefaultLockoutPolicy.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is DefaultLockoutPolicy;
    /**
     * Maximum password check attempts before the account gets locked. Attempts are reset as soon as the password is entered
     * correctly or the password is reset.
     */
    readonly maxPasswordAttempts: pulumi.Output<number>;
    /**
     * Create a DefaultLockoutPolicy resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: DefaultLockoutPolicyArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering DefaultLockoutPolicy resources.
 */
export interface DefaultLockoutPolicyState {
    /**
     * Maximum password check attempts before the account gets locked. Attempts are reset as soon as the password is entered
     * correctly or the password is reset.
     */
    maxPasswordAttempts?: pulumi.Input<number>;
}
/**
 * The set of arguments for constructing a DefaultLockoutPolicy resource.
 */
export interface DefaultLockoutPolicyArgs {
    /**
     * Maximum password check attempts before the account gets locked. Attempts are reset as soon as the password is entered
     * correctly or the password is reset.
     */
    maxPasswordAttempts: pulumi.Input<number>;
}
