import * as pulumi from "@pulumi/pulumi";
export declare class DefaultNotificationPolicy extends pulumi.CustomResource {
    /**
     * Get an existing DefaultNotificationPolicy resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: DefaultNotificationPolicyState, opts?: pulumi.CustomResourceOptions): DefaultNotificationPolicy;
    /**
     * Returns true if the given object is an instance of DefaultNotificationPolicy.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is DefaultNotificationPolicy;
    /**
     * Send notification if a user changes his password
     */
    readonly passwordChange: pulumi.Output<boolean>;
    /**
     * Create a DefaultNotificationPolicy resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: DefaultNotificationPolicyArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering DefaultNotificationPolicy resources.
 */
export interface DefaultNotificationPolicyState {
    /**
     * Send notification if a user changes his password
     */
    passwordChange?: pulumi.Input<boolean>;
}
/**
 * The set of arguments for constructing a DefaultNotificationPolicy resource.
 */
export interface DefaultNotificationPolicyArgs {
    /**
     * Send notification if a user changes his password
     */
    passwordChange: pulumi.Input<boolean>;
}
