import * as pulumi from "@pulumi/pulumi";
export declare class DefaultOidcSettings extends pulumi.CustomResource {
    /**
     * Get an existing DefaultOidcSettings resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: DefaultOidcSettingsState, opts?: pulumi.CustomResourceOptions): DefaultOidcSettings;
    /**
     * Returns true if the given object is an instance of DefaultOidcSettings.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is DefaultOidcSettings;
    /**
     * lifetime duration of access tokens
     */
    readonly accessTokenLifetime: pulumi.Output<string>;
    /**
     * lifetime duration of id tokens
     */
    readonly idTokenLifetime: pulumi.Output<string>;
    /**
     * expiration duration of refresh tokens
     */
    readonly refreshTokenExpiration: pulumi.Output<string>;
    /**
     * expiration duration of idle refresh tokens
     */
    readonly refreshTokenIdleExpiration: pulumi.Output<string>;
    /**
     * Create a DefaultOidcSettings resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: DefaultOidcSettingsArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering DefaultOidcSettings resources.
 */
export interface DefaultOidcSettingsState {
    /**
     * lifetime duration of access tokens
     */
    accessTokenLifetime?: pulumi.Input<string>;
    /**
     * lifetime duration of id tokens
     */
    idTokenLifetime?: pulumi.Input<string>;
    /**
     * expiration duration of refresh tokens
     */
    refreshTokenExpiration?: pulumi.Input<string>;
    /**
     * expiration duration of idle refresh tokens
     */
    refreshTokenIdleExpiration?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a DefaultOidcSettings resource.
 */
export interface DefaultOidcSettingsArgs {
    /**
     * lifetime duration of access tokens
     */
    accessTokenLifetime: pulumi.Input<string>;
    /**
     * lifetime duration of id tokens
     */
    idTokenLifetime: pulumi.Input<string>;
    /**
     * expiration duration of refresh tokens
     */
    refreshTokenExpiration: pulumi.Input<string>;
    /**
     * expiration duration of idle refresh tokens
     */
    refreshTokenIdleExpiration: pulumi.Input<string>;
}
