import * as pulumi from "@pulumi/pulumi";
export declare class DefaultPrivacyPolicy extends pulumi.CustomResource {
    /**
     * Get an existing DefaultPrivacyPolicy resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: DefaultPrivacyPolicyState, opts?: pulumi.CustomResourceOptions): DefaultPrivacyPolicy;
    /**
     * Returns true if the given object is an instance of DefaultPrivacyPolicy.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is DefaultPrivacyPolicy;
    readonly helpLink: pulumi.Output<string | undefined>;
    readonly privacyLink: pulumi.Output<string | undefined>;
    readonly supportEmail: pulumi.Output<string | undefined>;
    readonly tosLink: pulumi.Output<string | undefined>;
    /**
     * Create a DefaultPrivacyPolicy resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: DefaultPrivacyPolicyArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering DefaultPrivacyPolicy resources.
 */
export interface DefaultPrivacyPolicyState {
    helpLink?: pulumi.Input<string>;
    privacyLink?: pulumi.Input<string>;
    supportEmail?: pulumi.Input<string>;
    tosLink?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a DefaultPrivacyPolicy resource.
 */
export interface DefaultPrivacyPolicyArgs {
    helpLink?: pulumi.Input<string>;
    privacyLink?: pulumi.Input<string>;
    supportEmail?: pulumi.Input<string>;
    tosLink?: pulumi.Input<string>;
}
