import * as pulumi from "@pulumi/pulumi";
export declare function getAction(args: GetActionArgs, opts?: pulumi.InvokeOptions): Promise<GetActionResult>;
/**
 * A collection of arguments for invoking getAction.
 */
export interface GetActionArgs {
    actionId: string;
    orgId?: string;
}
/**
 * A collection of values returned by getAction.
 */
export interface GetActionResult {
    readonly actionId: string;
    readonly allowedToFail: boolean;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly name: string;
    readonly orgId?: string;
    readonly script: string;
    readonly state: number;
    readonly timeout: string;
}
export declare function getActionOutput(args: GetActionOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetActionResult>;
/**
 * A collection of arguments for invoking getAction.
 */
export interface GetActionOutputArgs {
    actionId: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
}
