import * as pulumi from "@pulumi/pulumi";
export declare function getApplicationApi(args: GetApplicationApiArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationApiResult>;
/**
 * A collection of arguments for invoking getApplicationApi.
 */
export interface GetApplicationApiArgs {
    appId: string;
    orgId?: string;
    projectId: string;
}
/**
 * A collection of values returned by getApplicationApi.
 */
export interface GetApplicationApiResult {
    readonly appId: string;
    readonly authMethodType: string;
    readonly clientId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly name: string;
    readonly orgId?: string;
    readonly projectId: string;
}
export declare function getApplicationApiOutput(args: GetApplicationApiOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetApplicationApiResult>;
/**
 * A collection of arguments for invoking getApplicationApi.
 */
export interface GetApplicationApiOutputArgs {
    appId: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
    projectId: pulumi.Input<string>;
}
