import * as pulumi from "@pulumi/pulumi";
export declare function getApplicationApis(args: GetApplicationApisArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationApisResult>;
/**
 * A collection of arguments for invoking getApplicationApis.
 */
export interface GetApplicationApisArgs {
    name: string;
    nameMethod?: string;
    orgId?: string;
    projectId: string;
}
/**
 * A collection of values returned by getApplicationApis.
 */
export interface GetApplicationApisResult {
    readonly appIds: string[];
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly name: string;
    readonly nameMethod?: string;
    readonly orgId?: string;
    readonly projectId: string;
}
export declare function getApplicationApisOutput(args: GetApplicationApisOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetApplicationApisResult>;
/**
 * A collection of arguments for invoking getApplicationApis.
 */
export interface GetApplicationApisOutputArgs {
    name: pulumi.Input<string>;
    nameMethod?: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
    projectId: pulumi.Input<string>;
}
