import * as pulumi from "@pulumi/pulumi";
export declare function getApplicationOidc(args: GetApplicationOidcArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationOidcResult>;
/**
 * A collection of arguments for invoking getApplicationOidc.
 */
export interface GetApplicationOidcArgs {
    appId: string;
    orgId?: string;
    projectId: string;
}
/**
 * A collection of values returned by getApplicationOidc.
 */
export interface GetApplicationOidcResult {
    readonly accessTokenRoleAssertion: boolean;
    readonly accessTokenType: string;
    readonly additionalOrigins: string[];
    readonly appId: string;
    readonly appType: string;
    readonly authMethodType: string;
    readonly clientId: string;
    readonly clockSkew: string;
    readonly devMode: boolean;
    readonly grantTypes: string[];
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly idTokenRoleAssertion: boolean;
    readonly idTokenUserinfoAssertion: boolean;
    readonly name: string;
    readonly orgId?: string;
    readonly postLogoutRedirectUris: string[];
    readonly projectId: string;
    readonly redirectUris: string[];
    readonly responseTypes: string[];
    readonly version: string;
}
export declare function getApplicationOidcOutput(args: GetApplicationOidcOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetApplicationOidcResult>;
/**
 * A collection of arguments for invoking getApplicationOidc.
 */
export interface GetApplicationOidcOutputArgs {
    appId: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
    projectId: pulumi.Input<string>;
}
