import * as pulumi from "@pulumi/pulumi";
export declare function getApplicationSaml(args: GetApplicationSamlArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationSamlResult>;
/**
 * A collection of arguments for invoking getApplicationSaml.
 */
export interface GetApplicationSamlArgs {
    appId: string;
    orgId?: string;
    projectId: string;
}
/**
 * A collection of values returned by getApplicationSaml.
 */
export interface GetApplicationSamlResult {
    readonly appId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly metadataXml: string;
    readonly name: string;
    readonly orgId?: string;
    readonly projectId: string;
}
export declare function getApplicationSamlOutput(args: GetApplicationSamlOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetApplicationSamlResult>;
/**
 * A collection of arguments for invoking getApplicationSaml.
 */
export interface GetApplicationSamlOutputArgs {
    appId: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
    projectId: pulumi.Input<string>;
}
