import * as pulumi from "@pulumi/pulumi";
export declare function getHumanUser(args: GetHumanUserArgs, opts?: pulumi.InvokeOptions): Promise<GetHumanUserResult>;
/**
 * A collection of arguments for invoking getHumanUser.
 */
export interface GetHumanUserArgs {
    orgId: string;
    userId: string;
}
/**
 * A collection of values returned by getHumanUser.
 */
export interface GetHumanUserResult {
    readonly displayName: string;
    readonly email: string;
    readonly firstName: string;
    readonly gender: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly isEmailVerified: boolean;
    readonly isPhoneVerified: boolean;
    readonly lastName: string;
    readonly loginNames: string[];
    readonly nickName: string;
    readonly orgId: string;
    readonly phone: string;
    readonly preferredLanguage: string;
    readonly preferredLoginName: string;
    readonly state: string;
    readonly userId: string;
    readonly userName: string;
}
export declare function getHumanUserOutput(args: GetHumanUserOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetHumanUserResult>;
/**
 * A collection of arguments for invoking getHumanUser.
 */
export interface GetHumanUserOutputArgs {
    orgId: pulumi.Input<string>;
    userId: pulumi.Input<string>;
}
