import * as pulumi from "@pulumi/pulumi";
export declare function getIdpLdap(args: GetIdpLdapArgs, opts?: pulumi.InvokeOptions): Promise<GetIdpLdapResult>;
/**
 * A collection of arguments for invoking getIdpLdap.
 */
export interface GetIdpLdapArgs {
    id: string;
}
/**
 * A collection of values returned by getIdpLdap.
 */
export interface GetIdpLdapResult {
    readonly avatarUrlAttribute: string;
    readonly baseDn: string;
    readonly bindDn: string;
    readonly bindPassword: string;
    readonly displayNameAttribute: string;
    readonly emailAttribute: string;
    readonly emailVerifiedAttribute: string;
    readonly firstNameAttribute: string;
    readonly id: string;
    readonly idAttribute: string;
    readonly isAutoCreation: boolean;
    readonly isAutoUpdate: boolean;
    readonly isCreationAllowed: boolean;
    readonly isLinkingAllowed: boolean;
    readonly lastNameAttribute: string;
    readonly name: string;
    readonly nickNameAttribute: string;
    readonly phoneAttribute: string;
    readonly phoneVerifiedAttribute: string;
    readonly preferredLanguageAttribute: string;
    readonly preferredUsernameAttribute: string;
    readonly profileAttribute: string;
    readonly servers: string[];
    readonly startTls: boolean;
    readonly timeout: string;
    readonly userBase: string;
    readonly userFilters: string[];
    readonly userObjectClasses: string[];
}
export declare function getIdpLdapOutput(args: GetIdpLdapOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetIdpLdapResult>;
/**
 * A collection of arguments for invoking getIdpLdap.
 */
export interface GetIdpLdapOutputArgs {
    id: pulumi.Input<string>;
}
