import * as pulumi from "@pulumi/pulumi";
export declare function getIdpOauth(args: GetIdpOauthArgs, opts?: pulumi.InvokeOptions): Promise<GetIdpOauthResult>;
/**
 * A collection of arguments for invoking getIdpOauth.
 */
export interface GetIdpOauthArgs {
    id: string;
}
/**
 * A collection of values returned by getIdpOauth.
 */
export interface GetIdpOauthResult {
    readonly authorizationEndpoint: string;
    readonly clientId: string;
    readonly clientSecret: string;
    readonly id: string;
    readonly idAttribute: string;
    readonly isAutoCreation: boolean;
    readonly isAutoUpdate: boolean;
    readonly isCreationAllowed: boolean;
    readonly isLinkingAllowed: boolean;
    readonly name: string;
    readonly scopes: string[];
    readonly tokenEndpoint: string;
    readonly userEndpoint: string;
}
export declare function getIdpOauthOutput(args: GetIdpOauthOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetIdpOauthResult>;
/**
 * A collection of arguments for invoking getIdpOauth.
 */
export interface GetIdpOauthOutputArgs {
    id: pulumi.Input<string>;
}
