import * as pulumi from "@pulumi/pulumi";
export declare function getMachineUser(args: GetMachineUserArgs, opts?: pulumi.InvokeOptions): Promise<GetMachineUserResult>;
/**
 * A collection of arguments for invoking getMachineUser.
 */
export interface GetMachineUserArgs {
    orgId?: string;
    userId: string;
}
/**
 * A collection of values returned by getMachineUser.
 */
export interface GetMachineUserResult {
    readonly accessTokenType: string;
    readonly description: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly loginNames: string[];
    readonly name: string;
    readonly orgId?: string;
    readonly preferredLoginName: string;
    readonly state: string;
    readonly userId: string;
    readonly userName: string;
}
export declare function getMachineUserOutput(args: GetMachineUserOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetMachineUserResult>;
/**
 * A collection of arguments for invoking getMachineUser.
 */
export interface GetMachineUserOutputArgs {
    orgId?: pulumi.Input<string>;
    userId: pulumi.Input<string>;
}
