import * as pulumi from "@pulumi/pulumi";
export declare function getOrgIdpLdap(args: GetOrgIdpLdapArgs, opts?: pulumi.InvokeOptions): Promise<GetOrgIdpLdapResult>;
/**
 * A collection of arguments for invoking getOrgIdpLdap.
 */
export interface GetOrgIdpLdapArgs {
    id: string;
    orgId?: string;
}
/**
 * A collection of values returned by getOrgIdpLdap.
 */
export interface GetOrgIdpLdapResult {
    readonly avatarUrlAttribute: string;
    readonly baseDn: string;
    readonly bindDn: string;
    readonly bindPassword: string;
    readonly displayNameAttribute: string;
    readonly emailAttribute: string;
    readonly emailVerifiedAttribute: string;
    readonly firstNameAttribute: string;
    readonly id: string;
    readonly idAttribute: string;
    readonly isAutoCreation: boolean;
    readonly isAutoUpdate: boolean;
    readonly isCreationAllowed: boolean;
    readonly isLinkingAllowed: boolean;
    readonly lastNameAttribute: string;
    readonly name: string;
    readonly nickNameAttribute: string;
    readonly orgId?: string;
    readonly phoneAttribute: string;
    readonly phoneVerifiedAttribute: string;
    readonly preferredLanguageAttribute: string;
    readonly preferredUsernameAttribute: string;
    readonly profileAttribute: string;
    readonly servers: string[];
    readonly startTls: boolean;
    readonly timeout: string;
    readonly userBase: string;
    readonly userFilters: string[];
    readonly userObjectClasses: string[];
}
export declare function getOrgIdpLdapOutput(args: GetOrgIdpLdapOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetOrgIdpLdapResult>;
/**
 * A collection of arguments for invoking getOrgIdpLdap.
 */
export interface GetOrgIdpLdapOutputArgs {
    id: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
}
