import * as pulumi from "@pulumi/pulumi";
export declare function getOrgIdpOauth(args: GetOrgIdpOauthArgs, opts?: pulumi.InvokeOptions): Promise<GetOrgIdpOauthResult>;
/**
 * A collection of arguments for invoking getOrgIdpOauth.
 */
export interface GetOrgIdpOauthArgs {
    id: string;
    orgId?: string;
}
/**
 * A collection of values returned by getOrgIdpOauth.
 */
export interface GetOrgIdpOauthResult {
    readonly authorizationEndpoint: string;
    readonly clientId: string;
    readonly clientSecret: string;
    readonly id: string;
    readonly idAttribute: string;
    readonly isAutoCreation: boolean;
    readonly isAutoUpdate: boolean;
    readonly isCreationAllowed: boolean;
    readonly isLinkingAllowed: boolean;
    readonly name: string;
    readonly orgId?: string;
    readonly scopes: string[];
    readonly tokenEndpoint: string;
    readonly userEndpoint: string;
}
export declare function getOrgIdpOauthOutput(args: GetOrgIdpOauthOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetOrgIdpOauthResult>;
/**
 * A collection of arguments for invoking getOrgIdpOauth.
 */
export interface GetOrgIdpOauthOutputArgs {
    id: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
}
