import * as pulumi from "@pulumi/pulumi";
export declare function getOrgs(args?: GetOrgsArgs, opts?: pulumi.InvokeOptions): Promise<GetOrgsResult>;
/**
 * A collection of arguments for invoking getOrgs.
 */
export interface GetOrgsArgs {
    domain?: string;
    domainMethod?: string;
    name?: string;
    nameMethod?: string;
    state?: string;
}
/**
 * A collection of values returned by getOrgs.
 */
export interface GetOrgsResult {
    readonly domain?: string;
    readonly domainMethod?: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly ids: string[];
    readonly name?: string;
    readonly nameMethod?: string;
    readonly primaryDomain: string;
    readonly state?: string;
}
export declare function getOrgsOutput(args?: GetOrgsOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetOrgsResult>;
/**
 * A collection of arguments for invoking getOrgs.
 */
export interface GetOrgsOutputArgs {
    domain?: pulumi.Input<string>;
    domainMethod?: pulumi.Input<string>;
    name?: pulumi.Input<string>;
    nameMethod?: pulumi.Input<string>;
    state?: pulumi.Input<string>;
}
