import * as pulumi from "@pulumi/pulumi";
export declare function getProject(args: GetProjectArgs, opts?: pulumi.InvokeOptions): Promise<GetProjectResult>;
/**
 * A collection of arguments for invoking getProject.
 */
export interface GetProjectArgs {
    orgId?: string;
    projectId: string;
}
/**
 * A collection of values returned by getProject.
 */
export interface GetProjectResult {
    readonly hasProjectCheck: boolean;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly name: string;
    readonly orgId?: string;
    readonly privateLabelingSetting: string;
    readonly projectId: string;
    readonly projectRoleAssertion: boolean;
    readonly projectRoleCheck: boolean;
    readonly state: string;
}
export declare function getProjectOutput(args: GetProjectOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetProjectResult>;
/**
 * A collection of arguments for invoking getProject.
 */
export interface GetProjectOutputArgs {
    orgId?: pulumi.Input<string>;
    projectId: pulumi.Input<string>;
}
