import * as pulumi from "@pulumi/pulumi";
export declare function getProjects(args: GetProjectsArgs, opts?: pulumi.InvokeOptions): Promise<GetProjectsResult>;
/**
 * A collection of arguments for invoking getProjects.
 */
export interface GetProjectsArgs {
    name: string;
    nameMethod?: string;
    orgId?: string;
}
/**
 * A collection of values returned by getProjects.
 */
export interface GetProjectsResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly name: string;
    readonly nameMethod?: string;
    readonly orgId?: string;
    readonly projectIds: string[];
}
export declare function getProjectsOutput(args: GetProjectsOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetProjectsResult>;
/**
 * A collection of arguments for invoking getProjects.
 */
export interface GetProjectsOutputArgs {
    name: pulumi.Input<string>;
    nameMethod?: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
}
