import * as pulumi from "@pulumi/pulumi";
export declare function getTriggerActions(args: GetTriggerActionsArgs, opts?: pulumi.InvokeOptions): Promise<GetTriggerActionsResult>;
/**
 * A collection of arguments for invoking getTriggerActions.
 */
export interface GetTriggerActionsArgs {
    flowType: string;
    orgId?: string;
    triggerType: string;
}
/**
 * A collection of values returned by getTriggerActions.
 */
export interface GetTriggerActionsResult {
    readonly actionIds: string[];
    readonly flowType: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly orgId?: string;
    readonly triggerType: string;
}
export declare function getTriggerActionsOutput(args: GetTriggerActionsOutputArgs, opts?: pulumi.InvokeOptions): pulumi.Output<GetTriggerActionsResult>;
/**
 * A collection of arguments for invoking getTriggerActions.
 */
export interface GetTriggerActionsOutputArgs {
    flowType: pulumi.Input<string>;
    orgId?: pulumi.Input<string>;
    triggerType: pulumi.Input<string>;
}
