import * as pulumi from "@pulumi/pulumi";
export declare class InstanceMember extends pulumi.CustomResource {
    /**
     * Get an existing InstanceMember resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: InstanceMemberState, opts?: pulumi.CustomResourceOptions): InstanceMember;
    /**
     * Returns true if the given object is an instance of InstanceMember.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is InstanceMember;
    /**
     * List of roles granted, full list available here: https://zitadel.com/docs/guides/manage/console/managers#roles
     */
    readonly roles: pulumi.Output<string[]>;
    /**
     * ID of the user
     */
    readonly userId: pulumi.Output<string>;
    /**
     * Create a InstanceMember resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: InstanceMemberArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering InstanceMember resources.
 */
export interface InstanceMemberState {
    /**
     * List of roles granted, full list available here: https://zitadel.com/docs/guides/manage/console/managers#roles
     */
    roles?: pulumi.Input<pulumi.Input<string>[]>;
    /**
     * ID of the user
     */
    userId?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a InstanceMember resource.
 */
export interface InstanceMemberArgs {
    /**
     * List of roles granted, full list available here: https://zitadel.com/docs/guides/manage/console/managers#roles
     */
    roles: pulumi.Input<pulumi.Input<string>[]>;
    /**
     * ID of the user
     */
    userId: pulumi.Input<string>;
}
