import * as pulumi from "@pulumi/pulumi";
export declare class OrgMetadata extends pulumi.CustomResource {
    /**
     * Get an existing OrgMetadata resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: OrgMetadataState, opts?: pulumi.CustomResourceOptions): OrgMetadata;
    /**
     * Returns true if the given object is an instance of OrgMetadata.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is OrgMetadata;
    /**
     * The key of a metadata entry
     */
    readonly key: pulumi.Output<string>;
    /**
     * ID of the organization
     */
    readonly orgId: pulumi.Output<string | undefined>;
    /**
     * The string representation of a metadata entry value. For binary data, use the base64encode function.
     */
    readonly value: pulumi.Output<string>;
    /**
     * Create a OrgMetadata resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: OrgMetadataArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering OrgMetadata resources.
 */
export interface OrgMetadataState {
    /**
     * The key of a metadata entry
     */
    key?: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * The string representation of a metadata entry value. For binary data, use the base64encode function.
     */
    value?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a OrgMetadata resource.
 */
export interface OrgMetadataArgs {
    /**
     * The key of a metadata entry
     */
    key: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * The string representation of a metadata entry value. For binary data, use the base64encode function.
     */
    value: pulumi.Input<string>;
}
