import * as pulumi from "@pulumi/pulumi";
export declare class ProjectGrant extends pulumi.CustomResource {
    /**
     * Get an existing ProjectGrant resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: ProjectGrantState, opts?: pulumi.CustomResourceOptions): ProjectGrant;
    /**
     * Returns true if the given object is an instance of ProjectGrant.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ProjectGrant;
    /**
     * ID of the organization granted the project
     */
    readonly grantedOrgId: pulumi.Output<string>;
    /**
     * ID of the organization
     */
    readonly orgId: pulumi.Output<string | undefined>;
    /**
     * ID of the project
     */
    readonly projectId: pulumi.Output<string>;
    /**
     * List of roles granted
     */
    readonly roleKeys: pulumi.Output<string[] | undefined>;
    /**
     * Create a ProjectGrant resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ProjectGrantArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering ProjectGrant resources.
 */
export interface ProjectGrantState {
    /**
     * ID of the organization granted the project
     */
    grantedOrgId?: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * ID of the project
     */
    projectId?: pulumi.Input<string>;
    /**
     * List of roles granted
     */
    roleKeys?: pulumi.Input<pulumi.Input<string>[]>;
}
/**
 * The set of arguments for constructing a ProjectGrant resource.
 */
export interface ProjectGrantArgs {
    /**
     * ID of the organization granted the project
     */
    grantedOrgId: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * ID of the project
     */
    projectId: pulumi.Input<string>;
    /**
     * List of roles granted
     */
    roleKeys?: pulumi.Input<pulumi.Input<string>[]>;
}
