import * as pulumi from "@pulumi/pulumi";
export declare class ProjectGrantMember extends pulumi.CustomResource {
    /**
     * Get an existing ProjectGrantMember resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: ProjectGrantMemberState, opts?: pulumi.CustomResourceOptions): ProjectGrantMember;
    /**
     * Returns true if the given object is an instance of ProjectGrantMember.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ProjectGrantMember;
    /**
     * ID of the grant
     */
    readonly grantId: pulumi.Output<string>;
    /**
     * ID of the organization
     */
    readonly orgId: pulumi.Output<string | undefined>;
    /**
     * ID of the project
     */
    readonly projectId: pulumi.Output<string>;
    /**
     * List of roles granted
     */
    readonly roles: pulumi.Output<string[]>;
    /**
     * ID of the user
     */
    readonly userId: pulumi.Output<string>;
    /**
     * Create a ProjectGrantMember resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ProjectGrantMemberArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering ProjectGrantMember resources.
 */
export interface ProjectGrantMemberState {
    /**
     * ID of the grant
     */
    grantId?: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * ID of the project
     */
    projectId?: pulumi.Input<string>;
    /**
     * List of roles granted
     */
    roles?: pulumi.Input<pulumi.Input<string>[]>;
    /**
     * ID of the user
     */
    userId?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a ProjectGrantMember resource.
 */
export interface ProjectGrantMemberArgs {
    /**
     * ID of the grant
     */
    grantId: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * ID of the project
     */
    projectId: pulumi.Input<string>;
    /**
     * List of roles granted
     */
    roles: pulumi.Input<pulumi.Input<string>[]>;
    /**
     * ID of the user
     */
    userId: pulumi.Input<string>;
}
