import * as pulumi from "@pulumi/pulumi";
export declare class SmsProviderTwilio extends pulumi.CustomResource {
    /**
     * Get an existing SmsProviderTwilio resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: SmsProviderTwilioState, opts?: pulumi.CustomResourceOptions): SmsProviderTwilio;
    /**
     * Returns true if the given object is an instance of SmsProviderTwilio.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is SmsProviderTwilio;
    /**
     * Sender number which is used to send the SMS.
     */
    readonly senderNumber: pulumi.Output<string>;
    /**
     * SID used to communicate with Twilio.
     */
    readonly sid: pulumi.Output<string>;
    /**
     * Token used to communicate with Twilio.
     */
    readonly token: pulumi.Output<string>;
    /**
     * Create a SmsProviderTwilio resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: SmsProviderTwilioArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering SmsProviderTwilio resources.
 */
export interface SmsProviderTwilioState {
    /**
     * Sender number which is used to send the SMS.
     */
    senderNumber?: pulumi.Input<string>;
    /**
     * SID used to communicate with Twilio.
     */
    sid?: pulumi.Input<string>;
    /**
     * Token used to communicate with Twilio.
     */
    token?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a SmsProviderTwilio resource.
 */
export interface SmsProviderTwilioArgs {
    /**
     * Sender number which is used to send the SMS.
     */
    senderNumber: pulumi.Input<string>;
    /**
     * SID used to communicate with Twilio.
     */
    sid: pulumi.Input<string>;
    /**
     * Token used to communicate with Twilio.
     */
    token: pulumi.Input<string>;
}
