import * as pulumi from "@pulumi/pulumi";
export declare class UserMetadata extends pulumi.CustomResource {
    /**
     * Get an existing UserMetadata resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: UserMetadataState, opts?: pulumi.CustomResourceOptions): UserMetadata;
    /**
     * Returns true if the given object is an instance of UserMetadata.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is UserMetadata;
    /**
     * The key of a metadata entry
     */
    readonly key: pulumi.Output<string>;
    /**
     * ID of the organization
     */
    readonly orgId: pulumi.Output<string | undefined>;
    /**
     * ID of the user
     */
    readonly userId: pulumi.Output<string>;
    /**
     * The string representation of a metadata entry value. For binary data, use the base64encode function.
     */
    readonly value: pulumi.Output<string>;
    /**
     * Create a UserMetadata resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: UserMetadataArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering UserMetadata resources.
 */
export interface UserMetadataState {
    /**
     * The key of a metadata entry
     */
    key?: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * ID of the user
     */
    userId?: pulumi.Input<string>;
    /**
     * The string representation of a metadata entry value. For binary data, use the base64encode function.
     */
    value?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a UserMetadata resource.
 */
export interface UserMetadataArgs {
    /**
     * The key of a metadata entry
     */
    key: pulumi.Input<string>;
    /**
     * ID of the organization
     */
    orgId?: pulumi.Input<string>;
    /**
     * ID of the user
     */
    userId: pulumi.Input<string>;
    /**
     * The string representation of a metadata entry value. For binary data, use the base64encode function.
     */
    value: pulumi.Input<string>;
}
